// C Source File
// Created 22.02.2006; 20:12:57

 /********************************************************************************
 ********************************************************************************
 * Programm name:		thedb - The handy education database
 * File name:				chars_in_window_on_one_line.c
 * Function name:		chars_in_window_on_one_line
 * Header file:			---
 * Other functions:
 *	-
 *
 * Short Description: Count the characters that can be printed out in a window on
 *										one line
 *
 * Description:
 *	-
 *
 ********************************************************************************
 *********************************************************************************/

#include <tigcclib.h>


//How many characters could be printed out in the window on one line?
int chars_in_window_on_one_line (int WindowWidth, const char *string, unsigned int *NumOfChars)
{
	int SizeOfString = 0;

	*NumOfChars = 0;

	//Count the width of all characters wit FontCharWidth
	for (*NumOfChars = 0; (SizeOfString <= WindowWidth) && (*NumOfChars < strlen(string)); *NumOfChars = *NumOfChars + 1)
		SizeOfString += FontCharWidth(string[*NumOfChars]);



	if (*NumOfChars < strlen(string))
		return 0;	//There are characters left
	else
		return 1;	//All characters have been counted

}