// C Source File
// Created 27.05.2006; 18:27:13

 /********************************************************************************
 ********************************************************************************
 * Programm name:		thedb - The handy education database
 * File name:				main_menu_graphic.c
 * Function name:		main_menu_graphic
 * Header file:			-
 *
 * Short Description:	Show the main menu graphic
 *
 * Description:
 *	-
 *
 ********************************************************************************
 *********************************************************************************/

#include <tigcclib.h>

#include "structures.h"
#include "global.h"
#include "calc.h"


void main_menu_graphic (void)
{
		GrayOff();
		clrscr();
		GrayOn();

			//the light ceiling
		  GraySetAMSPlane (LIGHT_PLANE);
		  ScrRectFill (&(SCR_RECT){{0, 0, LCD_WIDTH, 22}}, ScrRect, A_NORMAL);		//upper border
		  ScrRectFill (&(SCR_RECT){{0, LCD_HEIGHT - 18, LCD_WIDTH, LCD_HEIGHT - 7}}, ScrRect, A_NORMAL);		//lower border
		  ScrRectFill (&(SCR_RECT){{59, 23, 60, LCD_HEIGHT - 18}}, ScrRect, A_NORMAL);	//partition menu/info
		  ScrRectFill (&(SCR_RECT){{0, 32, 60, 32}}, ScrRect, A_NORMAL);		//partition menu/menu title

			//upper title bar
		  FontSetSys(F_8x10);
		  DrawStr((LCD_WIDTH / 2) - 40, 2, "t h e d b", A_XOR);
		  FontSetSys(F_4x6);
		  DrawStr((LCD_WIDTH / 2) - 55, 14, COMMENT_PROGRAM_NAME, A_XOR);
			//lower title bar
		  DrawStr(1, LCD_HEIGHT - 15, COMMENT_VERSION_STRING, A_XOR);
		  DrawStr(LCD_WIDTH - strlen(COMMENT_STRING) * 4, LCD_HEIGHT - 15, COMMENT_STRING, A_XOR);

	return;
}