// C Source File
// Created 19.02.2006; 17:02:15

 /********************************************************************************
 ********************************************************************************
 * Programm name:		thedb - The handy education database
 * File name:				show_process_window.c
 * Function name:		show_process_window
 * Header file:			---
 * Other functions:
 *	- CALLBACK Action1
 *
 * Short Description: Show a window with a text and three flashing points
 *										Example: "Loading..."
 *
 * Description:
 *	-
 *
 ********************************************************************************
 *********************************************************************************/

#include <tigcclib.h>

#include "structures.h"
#include "global.h"
#include "calc.h"

WINDOW *spw_window;
volatile int count;
char text[20];

CALLBACK void Action1(void)
{
	if (count >= 3)
		{
			WinClr(spw_window);
			//WinFont(spw_window, F_8x10);
			WinStr(spw_window, text);
			count = 0;
			return;
		}

	//WinFont(spw_window, F_8x10);
	WinChar(spw_window, '.');
	count++;
}



void show_process_window (WINDOW **window, const char *infotext)
{


	WIN_RECT winr = {0, 5, LCD_WIDTH - 0, 20};

	clrscr();

	//Draw the window
	*window = HeapAllocPtr (sizeof (WINDOW));
	spw_window = *window;
  WinOpen(*window, &winr, WF_TTY);
  WinActivate (*window);
	WinFont(*window, F_8x10);
	strncpy(text, infotext, 18);

	WinStr(*window, text);

	count = 0;

	OSVRegisterTimer(1, 5, Action1);


	return;
}