// Header File
// Created 03.02.2006; 19:51:35

 /********************************************************************************
 ********************************************************************************
 * - global file, used in many programms -
 *
 * Programm name:		---
 * File name:				calc.h
 *
 * Short Description: In this file are some calculator specified definitions.
 *										With this header file included, you should only compile
 *										for one calculator model at one time.
 *
 * Description:
 *	-
 *
 ********************************************************************************
 *********************************************************************************/

//========================================================================================

//V200
//TI-92+
#if (!defined USE_TI89) && ((defined USE_V200) || (defined USE_TI92P))

#define INFOMESSAGE		DlgMessage ("Info", COMMENT_PROGRAM_NAME\
																					"\n  V200/TI92+  - "COMMENT_VERSION_STRING "\n\n"\
																					__DATE__" - "__TIME__\
																					"\nThomas Naeff\n"\
																					"th.n@gmx.ch\n"\
																					"www.mytinyarchive.ch.vu"\
																					, BT_OK, BT_NONE);


	#define MAX_DISP_LINES		18
	#define DLG_ADJ						8

	#define	KEY_2ND					4096		//It's the same on all calculators (?
	#define KEY_HOME				8273
	//#define	KEY_TRIANGLE		18		//2nd + MODE -> 2nd+Y on the V200

	#define K_CUT						8280
	#define K_COPY					8259
	#define K_PASTE					8278





#else

//========================================================================================

//TI-89

#define INFOMESSAGE		DlgMessage ("Info", COMMENT_PROGRAM_NAME\
																					"\n  TI-89 - "COMMENT_VERSION_STRING "\n\n"\
																					__DATE__" - "__TIME__\
																					"\n\nThomas Naeff\n"\
																					"th.n@gmx.ch\n"\
																					"www.mytinyarchive.ch.vu"\
																					, BT_OK, BT_NONE);

	#define MAX_DISP_LINES		13
	#define DLG_ADJ						0

	#define KEY_HOME				277
	#define	KEY_2ND					4096		//It's the same on all calculators (?)
	//#define	KEY_TRIANGLE		18		//2nd + MODE

	#define K_CUT						20480
	#define K_COPY					24576
	#define K_PASTE					16648


#endif	//ifdef USE_

//========================================================================================








