// Header File
// Created 11.02.2006; 17:29:08

/*--------------------------------------------------------------
| The version of your file. Change it, if you make a new
| programm version with a different file format.
|
| You should just change this value if you really changed the
| size of a structure stored in a file. Otherwise, the user of
| the programm would not be able to access his file with the new
| programm version.
\*--------------------------------------------------------------*/
#define FMF_FILE_VERSION		1



/*--------------------------------------------------------------
| You can place the strucures here, which will be used
| in fmanage(...)
\*--------------------------------------------------------------*/
typedef struct
	{
		int dummy;
		char text[40];

	} TESTSTRUCT1;


typedef struct
	{
		char text0[40];
		char text[40];

	} TESTSTRUCT2;


/*--------------------------------------------------------------
| Use these definitions, to disable unused parts of the function
| and make your programm a little bit smaller.
| Take care that you don't use a part which is excluded!!!
| fmanage will check if you use a disabled function and return -6.
\*-------------------------------------------------------------*/

//#define		FMF_EXCLUDE_RETURN_FINFO			//You can't use the action FMF_RETURN_FINFO
//#define		FMF_EXCLUDE_LOAD							//You can't use the action FMF_LOAD
//#define		FMF_EXCLUDE_ADD_POS						//You can't use the action FMF_ADD_POS
//#define		FMF_EXCLUDE_ADD								//You can't use the action FMF_ADD
//#define		FMF_EXCLUDE_EDIT							//You can't use the action FMF_EDIT
//#define		FMF_EXCLUDE_REMOVE						//You can't use the action FMF_REMOVE
//...
//#define		FMF_EXCLUDE_NEW_FILE					//You can't use the action FMF_NEW_FILE

//#define		FMF_EXCLUDE_NOEXT							//You can't use the option FMF_NOEXT
//#define		FMF_EXCLUDE_ARCHIVE						//You can't use the option FMF_NOARCHIVE
//...
//#define		FMF_EXCLUDE_LOCK							//You can't use the option FMF_LOCK_FILE and FMF_UNLOCK_FILE. The file will also not be tested if it is locked or not.

//#define		FMF_EXCLUDE_CHECK_FILEINFO		//It will not check the file informations (Valid file version, right size of blocks, ...)



/*--------------------------------------------------------------
| With FMF_DEBUG defined, when the function is called, the display
| will be cleared with clrscr(); and some informations in 4x6-Font
| will be showed.
\*--------------------------------------------------------------*/
//#define		FMF_DEBUG

