// C Source File
// Created 14.03.2006; 21:12:35

 /********************************************************************************
 ********************************************************************************
 * Programm name:		thedb - The handy education database
 * File name:				archive_active_file.c
 * Function name:		archive_active_file
 * Header file:			---
 * Other functions:
 *	-
 *
 * Short Description: Archive the active file and remove it's backup copy
 *
 * Description:
 *	-
 *
 ********************************************************************************
 *********************************************************************************/

#include <tigcclib.h>

#include "structures.h"
#include "global.h"

int archive_active_file (CONFSTRUCT *confstruct)
{
	//Ckeck if the filepath is valid (without showing any messages)
	if ((check_file_validity(confstruct, ActivePath, 0)) == 0)
		return -1;

	//Archive the active file if the path name is not the default string
	if (strstr(ActivePath, STR_NO_FILE_SEL) == NULL)
		{


			//Archive the old file if necessary
			if (confstruct->ArchiveFiles == S_ARCHIVE_YES)
				{
					//WINDOW *window = NULL;
					//show_process_window(&window, "Archive");
					ST_helpMsg("Archieve old file...");
					if (EM_moveSymToExtMem(SYMSTR(ActivePath), HS_NULL) == FALSE)
						{
							//Free the timer and the window created with show_process_window.
							//OSVFreeTimer(1);
						  //WinClose(window);
						  //HeapFreePtr(window);
						  //FontSetSys(F_4x6);
		
						  DlgMessage("thedb[37]", "Failed to archive!", BT_OK, BT_CANCEL);
						  return -1;
						}
					else
						{
							//Free the timer and the window created with show_process_window.
							//OSVFreeTimer(1);
						  //WinClose(window);
						  //HeapFreePtr(window);
						  //FontSetSys(F_4x6);
						}
				}

			if (confstruct->MakeBackupCopy == S_BACKUP_YES)
				{
					ST_helpMsg("Remove backup copy...");
					EM_moveSymFromExtMem(SYMSTR(BACKUPFILE_NAME), HS_NULL);
					if (unlink(BACKUPFILE_NAME) == EOF)
						{
							ST_helpMsg("Remove backup copy... FAILED!!!");
							ngetchx();
						}
				}
		}

	return 0;
}