// C Source File
// Created 26.02.2006; 16:04:14

 /********************************************************************************
 ********************************************************************************
 * Programm name:		thedb - The handy education database
 * File name:				check_file_validity.c
 * Function name:		check_file_validity
 * Header file:			---
 * Other functions:
 *	-
 *
 * Short Description: Check if the file is locked
 *
 * Description:
 *	-
 *
 ********************************************************************************
 *********************************************************************************/

#include <tigcclib.h>
#include "fmanage.h"

#include "structures.h"
#include "global.h"

int check_if_file_is_locked (FILE *file)
{

	if ((fmanage(&file, NULL, 0, NULL, NULL, 0, 0, FMF_RETURN_FINFO, FMF_RETURN_L)) == FMF_LOCK_ON)
		{
			GrayOff();
			clrscr();
			DlgMessage("thedb[20]", "File is locked!", BT_OK, BT_CANCEL);
			return -1;
		}

	return 0;
}