// Header File
// Created 17.02.2006; 23:12:39

 /********************************************************************************
 ********************************************************************************
 * Programm name:		thedb - The handy education database
 * File name:				main_menu.h
 *
 * Short Description: Definitions and functions used in the main menu
 *
 * Description:
 *	-
 *
 ********************************************************************************
 *********************************************************************************/

#define		MM_MAIN			1
#define		MM_INFO			2
#define		MM_SETTINGS	3

#define		MM_MENU0		25
#define		MM_MENU1		35
#define		MM_MENU2		45
#define		MM_MENU3		55
#define		MM_MENU4		65
#define		MM_MENU5		75


#define		MM_INFO_ACTIVE_FILE		33
#define		MM_INFO_AUTOSTART			33	//-> set to the same as MM_INFO_ACTIVE_FILE, because it's switched off
//#define		MM_INFO_ENTRIES				73

#define MM_SETTINGS_STARTUP			25
#define	MM_SETTINGS_ARCHIVE			35
#define	MM_SETTINGS_BACKUP			45



void main_menu_set_form (CONFSTRUCT *confstruct);

void main_menu_cursor (int CursorPosX);
int main_menu_switch_gk (CONFSTRUCT *confstruct, int gk, int *CursorPosX, int *ActiveMenu);
int main_menu_process_enter (CONFSTRUCT *confstruct, int CursorPosY, int ActiveMenu);

void main_menu_show_info (CONFSTRUCT *confstruct, int silent);
void main_menu_info_cursor (int CursorPosX);
int main_menu_info_switch_gk (CONFSTRUCT *confstruct, int gk, int *CursorPosX, int *ActiveMenu);
int main_menu_info_process_enter (CONFSTRUCT *confstruct, int CursorPosX);
int main_menu_info_process_clear (CONFSTRUCT *confstruct, int CursorPosY);
int main_menu_info_process_backspace (CONFSTRUCT *confstruct, int CursorPosY);
void main_menu_info_process_2nd_right_left (CONFSTRUCT *confstruct, int gk, int CursorPosY);
void main_menu_info_process_mode (CONFSTRUCT *confstruct, int CursorPosY);
void main_menu_switch_menu0 (CONFSTRUCT *confstruct, int gk);